From d07fb11fffd61220b6eb086e3ef59a92d85e7ac8 Mon Sep 17 00:00:00 2001
From: Markus Amsler <markus.amsler@oribi.org>
Date: Sun, 13 Feb 2011 21:22:29 +0100
Subject: [PATCH 2/7] itercom: Enable the RS485 transceiver on the host.

---
 mendel.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/mendel.c b/mendel.c
index 8a16100..8fef32c 100644
--- a/mendel.c
+++ b/mendel.c
@@ -20,6 +20,7 @@
 #include	"pinio.h"
 #include	"arduino.h"
 #include	"clock.h"
+#include	"intercom.h"
 
 void io_init(void) {
 	// disable modules we don't use
@@ -120,6 +121,13 @@ void io_init(void) {
 	WRITE(MOSI, 1);				SET_OUTPUT(MOSI);
 	WRITE(MISO, 1);				SET_INPUT(MISO);
 	WRITE(SS, 1);					SET_OUTPUT(SS);
+
+	#ifdef TEMP_INTERCOM
+		// Enable the RS485 transceiver
+		SET_OUTPUT(RX_ENABLE_PIN);
+		SET_OUTPUT(TX_ENABLE_PIN);
+		disable_transmit();
+	#endif
 }
 
 void init(void) {
-- 
1.6.3.2.1299.gee46c

